Impatica Knowledgebase

KB-000463: Is Impatica for PowerPoint compatible with OS 10.6.X - Snow Leopard?

Impatica is currently working on a version of Impatica for PowerPoint that supports Mac OS 10.6+. Impatica for PowerPoint v4.0.1e only supports Mac OS version 10.4 through 10.5.X. Mac OS 10.6+ is not a currently supported operating system.

We do however have a beta version which will run on Mac OS 10.6+. To request this beta release please contact beta@impatica.com.

Would you like to...

Print this page Print this page

Email this page Email this page

Post a comment Post a comment

Subscribe me

Add to favoritesAdd to favorites

User Opinions (5 votes)

80% thumbs up 20% thumbs down

How would you rate this answer?

Helpful
Not helpful
Thank you for rating this answer.